Skip to content

Change the display name of an account

PATCH
/accounts/{accountId}
curl --request PATCH \
--url https://api.pingram.io/accounts/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example" }'

Change the display name of an account the caller can access. The name is the label shown in the dashboard and in account lists.

Authorizations

Parameters

Path Parameters

accountId
required
string

Account to rename

Request Bodyrequired

Media typeapplication/json

PATCH /accounts/{accountId} request: change the account display name.

object
name
required

Display name for this account.

string
>= 1 characters <= 80 characters
Examplegenerated
{
"name": "example"
}

Responses

200

Successful response

Media typeapplication/json

Summary of an account the user can access (GET /accounts).

object
accountId
required
string
name
string
accountType
required
string
Allowed values: free paid
createdAt
required
string
status
required
string
Allowed values: verified unverified blocked
costCap
required
number
Example
{
"accountType": "free",
"status": "verified"
}

400

Bad Request - validation errors, invalid input

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

401

Unauthorized

402

Payment Required - usage limits exceeded

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

500

Internal Server Error

502

Bad Gateway - provider error

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}